unit Scaffolding.Wizard.Headers;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.Grids, Vcl.ValEdit;

type
  TFScaffoldingWizardHeaders = class(TForm)
    veHeaders: TValueListEditor;
    btOK: TButton;
    btCancel: TButton;
    procedure FormShow(Sender: TObject);
  private
    function GetStrings: TStrings;
    { Private declarations }
  public
    { Public declarations }
    constructor Create(AHeaders: TStrings); reintroduce;
    property Headers: TStrings read GetStrings;
  end;

var
  FScaffoldingWizardHeaders: TFScaffoldingWizardHeaders;

implementation

{$R *.dfm}

constructor TFScaffoldingWizardHeaders.Create(AHeaders: TStrings);
begin
  inherited Create(nil);
  veHeaders.Strings.AddStrings(AHeaders);
end;

procedure TFScaffoldingWizardHeaders.FormShow(Sender: TObject);
begin
  veHeaders.SetFocus;
end;

function TFScaffoldingWizardHeaders.GetStrings: TStrings;
begin
  Result := veHeaders.Strings;
end;

end.
